Bug 133399 - problems with two soundcards
problems with two soundcards
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-23 14:35 EDT by Patrice Dumas
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-30 06:49:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/etc/sysconfig/hwconf (4.86 KB, text/plain)
2004-10-04 15:51 EDT, Patrice Dumas
no flags Details
/etc/modprobe.conf (572 bytes, text/plain)
2004-10-04 15:52 EDT, Patrice Dumas
no flags Details

  None (edit)
Description Patrice Dumas 2004-09-23 14:35:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
This is the same bug as
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=81843

I have 2 soundcards. If there is no line
alias snd-card-0 snd-emu10k1
in modprobe.conf, or if the line is
alias snd-card-1 snd-emu10k1

system-config-soundcard crashes.

[root@chapelle ~]# system-config-soundcard
/usr/share/system-config-soundcard/soundcard.py:151:
DeprecationWarning: use gtk.ComboBox
  self.primaryDeviceOptionMenu = gtk.OptionMenu()
Traceback (most recent call last):
  File
"/usr/share/system-config-soundcard/system-config-soundcard.py", line
46, in ?
    app = soundcard.childWindow()
  File "/usr/share/system-config-soundcard/soundcard.py", line 159, in
__init__
   
self.primaryDeviceMenu.set_active(self.cardList.index(self.soundcardBackend.getDefaultCard()))
ValueError: list.index(x): x not in list



The working modprobe.conf is (for the tests):
include /etc/modprobe.conf.dist
alias snd-card-0 snd-emu10k1
alias usb-controller ohci-hcd
alias eth1 e100



Version-Release number of selected component (if applicable):
system-config-soundcard-1.2.9-1

How reproducible:
Always

Steps to Reproduce:
1. remove the alias snd-card-0 snd-module line in modprobe.conf
2. run system-config-soundcard
3.
    

Actual Results:  a crash

[root@chapelle ~]# system-config-soundcard
/usr/share/system-config-soundcard/soundcard.py:151:
DeprecationWarning: use gtk.ComboBox
  self.primaryDeviceOptionMenu = gtk.OptionMenu()
Traceback (most recent call last):
  File
"/usr/share/system-config-soundcard/system-config-soundcard.py", line
46, in ?
    app = soundcard.childWindow()
  File "/usr/share/system-config-soundcard/soundcard.py", line 159, in
__init__
   
self.primaryDeviceMenu.set_active(self.cardList.index(self.soundcardBackend.getDefaultCard()))
ValueError: list.index(x): x not in list


Expected Results:  launch system-config-soundcard

Additional info:
The other soundcard is an integrated 
00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS]
Sound Controller (rev a0)
Comment 1 Bastien Nocera 2004-09-30 19:07:18 EDT
Could you please attach your /etc/modprobe.conf and
/etc/sysconfig/hwconf files?
Comment 2 Féliciano Matias 2004-10-01 07:16:28 EDT
Confirmed here with system-config-soundcard 1.2.10 .
s-c-sc crash with snd-ens1371 and snd-via82xx.


In soundcardBackend.py, self.defaultModule is not correctly set.
Comment 3 Patrice Dumas 2004-10-04 15:51:36 EDT
Created attachment 104739 [details]
/etc/sysconfig/hwconf
Comment 4 Patrice Dumas 2004-10-04 15:52:23 EDT
Created attachment 104740 [details]
/etc/modprobe.conf
Comment 5 Martin Stransky 2005-05-30 06:49:12 EDT
fixed in s-c-s 1.2.12 & alsa-lib 1.0.9rc4-2.

Note You need to log in before you can comment on or make changes to this bug.